import { Injectable } from '@angular/core';
import { environment } from '../../environment';
import { HttpClient } from '@angular/common/http';
import { AuthService } from './auth.service';
import { Observable } from 'rxjs';
import { SystemConfig } from '../model/SystemConfig';

@Injectable({
  providedIn: 'root',
})
export class ConfigService {
  constructor(private http: HttpClient, private authService: AuthService) {}

  public loadConfig(): Observable<SystemConfig> {
    return this.http.get<SystemConfig>(`${environment.apiURL}/admin/config`, {
      headers: this.authService.getAuthHeaders(),
    });
  }

  public saveConfig(config: SystemConfig): Observable<SystemConfig> {
    return this.http.patch<SystemConfig>(`${environment.apiURL}/admin/config`, config, {
      headers: this.authService.getAuthHeaders(),
    });
  }
}
